<?php

function print_svg_header() {
echo '<?xml version="1.0" encoding="UTF-8"?>';
?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<svg xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="500px" height="500px" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"
viewBox="0 0 500 500"
 xmlns:xlink="http://www.w3.org/1999/xlink">
 <defs>
  <font id="FontID0" horiz-adv-x="666" font-variant="normal" style="fill-rule:nonzero" font-style="normal" font-weight="400">
  <font-face
    font-family="Arial">
    <font-face-src>
      <font-face-name name="Arial"/>
    </font-face-src>
  </font-face>
  </font>
  <style type="text/css">
   <![CDATA[
    @font-face { font-family:"Arial";font-variant:normal;font-style:normal;font-weight:normal;src:url("#FontID0") format(svg)}
    .filgr1 {fill:#AAAAAA}
    .filbl {fill:black}
    .filwi {fill:white}
    .fnt11 {font-weight:normal;font-size:11px;font-family:'Arial'}
    .fnt15 {font-weight:normal;font-size:15px;font-family:'Arial'}
   ]]>
  </style>
 </defs>
<?php 
}

function get_segment($x,$y,$rad,$winkel_start,$winkel,$farbe,$str="0") {
    $strw=1;
    if ( $str!="0" ) { $rad=$rad-$strw/2; }
    $winkel_end = $winkel_start + $winkel;
    $psx = round(cos(deg2rad($winkel_start)) * $rad + $x);
    $psy = round(sin(deg2rad($winkel_start)) * $rad + $y);
    $pex = round(cos(deg2rad($winkel_end)) * $rad + $x);
    $pey = round(sin(deg2rad($winkel_end)) * $rad + $y);
    if ( $str=="0" ) {
      return "  <path d=\"M $x,$y L $psx,$psy A $rad,$rad 0 0, 1 $pex,$pey Z\" fill=\"$farbe\" stroke=\"none\"/>\n";
    } else {
      return "  <path d=\"M $x,$y L $psx,$psy A $rad,$rad 0 0, 1 $pex,$pey Z\" fill=\"$farbe\" stroke=\"".$str."\" stroke-width=\"".$strw."\"/>\n";
    }
}

function get_seg_text($x,$y,$rad,$winkel_start,$winkel,$farbei,$txt) {
  $wmitte=$winkel_start+$winkel/2;
  $px=round(cos(deg2rad($wmitte)) * $rad + $x);
  $py=round(sin(deg2rad($wmitte)) * $rad + $x);
  if ( $wmitte < 90  ) { $px=$px-1; $py=$py+5; } 
  if ( $wmitte >=90 && $wmitte < 180 ) {  $px=$px-10; $py=$py+5; } 
  if ( $wmitte >=180 && $wmitte < 270 ) {  $px=$px-10; $py=$py-1; } 
  if ( $wmitte >=270 ) { $px=$px-5; $py=$py-1; } 
  return "  <text id=\"txt-$px-$py\" x=\"$px\" y=\"$py\" style=\"font-size:10px;font-family:sans-serif;font-weight:bold;fill:#000000;fill-opacity:1;stroke:none;\">$txt</text>\n";
}



function gen_karo10($id) {
  global $mysqlconfundb;
  $anz=10;
  $size=50;
  $fx=15;
  $fy=28;
  $fs=15;
  $min=-90;
  $max=90;
  $arr=[];
  $sqlstr="select tval from transval where tID = $id order by pval";
  $result = mysqli_query($mysqlconfundb,$sqlstr);
  $i=1;
  while($row = mysqli_fetch_array($result)) { $arr[$i]=$row['tval']; $i++; }
  print_svg_header();
  
  echo '<g id="Karos">'."\n";
  for ($y=0;$y<$anz;$y++) {
    for ($x=0;$x<$anz;$x++) {
      if ( ($y % 2 == 0 && $x % 2 == 1 ) || ($y % 2 == 1 && $x % 2 == 0 ) ) {
        echo '<rect id="rect-'.$y.'-'.$x.'" class="filbl" x="'.($y*$size+$space).'" y="'.($x*$size+$space).'" width="'.$size.'" height="'.$size.'"/>'."\n";
      } else {
        echo '<rect id="rect-'.$y.'-'.$x.'" class="filwi" x="'.($y*$size+$space).'" y="'.($x*$size+$space).'" width="'.$size.'" height="'.$size.'"/>'."\n";
      }
    }
  }
  echo '</g>'."\n";  
  echo '<g id="Zahlen">'."\n";
  $i=0;
  for ($y=0;$y<$anz;$y++) {
    for ($x=0;$x<$anz;$x++) {
      $i++;
      if ( ($y % 2 == 0 && $x % 2 == 1 ) || ($y % 2 == 1 && $x % 2 == 0 ) ) {
        echo '<text id="txt-'.$y.'-'.$x.'" class="filwi fnt15" x="'.($y*$size+$fx).'" y="'.($x*$size+$fy).'">'.$arr[$i].'</text>'."\n";
      } else {
        echo '<text id="txt-'.$y.'-'.$x.'" class="filbl fnt15" x="'.($y*$size+$fx).'" y="'.($x*$size+$fy).'">'.$arr[$i].'</text>'."\n";
      }
    }
  }
  echo '</g>'."\n";  
  echo '</svg>'."\n";  
}

function gen_karo15($id) {
  global $mysqlconfundb;
  $anz=15;
  $size=30;
  $space=25;
  $fx=10+$space;
  $fy=22+$space;
  $fs=11;
  $min=-90;
  $max=90;
  $arr=[];
  $sqlstr="select tval from transval where tID = $id order by pval";
  $result = mysqli_query($mysqlconfundb,$sqlstr);
  $i=1;
  while($row = mysqli_fetch_array($result)) { $arr[$i]=$row['tval']; $i++; }

  print_svg_header();
  ?> 
  <g id="Space">
  <rect id="space1" class="filgr1" x="0" y="0" width="475" height="25"/>
  <rect id="space2" class="filgr1" x="475" y="0" width="25" height="475"/>
  <rect id="space3" class="filgr1" x="25" y="475" width="475" height="25"/>
  <rect id="space4" class="filgr1" x="0" y="25" width="25" height="475"/>
 </g>
  <?php
  echo '<g id="Karos">'."\n";
  for ($y=0;$y<$anz;$y++) {
    for ($x=0;$x<$anz;$x++) {
      if ( ($y % 2 == 0 && $x % 2 == 1 ) || ($y % 2 == 1 && $x % 2 == 0 ) ) {
        echo '<rect id="rect-'.$y.'-'.$x.'" class="filbl" x="'.($y*$size+$space).'" y="'.($x*$size+$space).'" width="'.$size.'" height="'.$size.'"/>'."\n";
      } else {
        echo '<rect id="rect-'.$y.'-'.$x.'" class="filwi" x="'.($y*$size+$space).'" y="'.($x*$size+$space).'" width="'.$size.'" height="'.$size.'"/>'."\n";
      }
    }
  }
  echo '</g>'."\n";  
  echo '<g id="Zahlen">'."\n";
  $i=1;
  for ($y=0;$y<$anz;$y++) {
    for ($x=0;$x<$anz;$x++) {
      $i++;
      if ( ($y % 2 == 0 && $x % 2 == 1 ) || ($y % 2 == 1 && $x % 2 == 0 ) ) {
        echo '<text id="txt-'.$y.'-'.$x.'" class="filwi fnt11" x="'.($y*$size+$fx).'" y="'.($x*$size+$fy).'">'.$arr[$i].'</text>'."\n";
      } else {
        echo '<text id="txt-'.$y.'-'.$x.'" class="filbl fnt11" x="'.($y*$size+$fx).'" y="'.($x*$size+$fy).'">'.$arr[$i].'</text>'."\n";
      }
    }
  }
  echo '</g>'."\n";  
  echo '</svg>'."\n";  
}

function gen_schirme($id) {
  global $mysqlconfundb;
  $rad1=140;
  $rad2=100;
  $xca=array(0,120,380,250);
  $yca=array(0,140,140,360);
  $pid=903;
  $wanz=8;
  $fx=5;
  $fy=5;
  $fs=15;
  $arr=[];
  $nrarr=[];
  
  $i=1;
  for ($winkel=0;$winkel <= 2*M_PI+0.01; $winkel=$winkel+M_PI/$wanz) {
    $xcord[$i]=cos($winkel)*$rad1;
    $ycord[$i]=sin($winkel)*$rad1;
    if ( $i < $wanz ) {
      $xcord2[$i]=cos($winkel+(M_PI/$wanz/2))*$rad2;
      $ycord2[$i]=sin($winkel+(M_PI/$wanz/2))*$rad2;
    } else {
      $xcord2[$i]=cos($winkel+(M_PI/$wanz/3))*$rad2;
      $ycord2[$i]=sin($winkel+(M_PI/$wanz/3))*$rad2;
    }
    $i++;
  }
  $sqlstr="select tval from transval where tID = $id order by pval";
  $result = mysqli_query($mysqlconfundb,$sqlstr);
  $i=1;
  while($row = mysqli_fetch_array($result)) { $nrarr[$i]=$row['tval']; $i++; }
  $nr=1;
  for ($cid=0;$cid<=4;$cid++) {
    $col=0;
    for ($i=0;$i<count($xcord)-1;$i++)  {
      $arr[$cid][$i]=$nrarr[$nr];
      $nr++;
    }
  }

  print_svg_header();

  echo '<g id="Karos">'."\n";
  echo '<rect id="k-r-1" fill="#9f9f9e" x="0" y="0" width="500" height="500" />'."\n";
  for ($cid=1;$cid<=3;$cid++) {
    $col=1;
    $xc=$xca[$cid];
    $yc=$yca[$cid];
    for ($i=0;$i<count($xcord);$i++)  {
      if ( $col%2==0 ) {
        echo '<polygon id="k-'.$cid.'-'.$i.'" class="filbl" points="'.($xcord[$i]+$xc).",".($ycord[$i]+$yc)." ".($xcord[$i+1]+$xc).",".($ycord[$i+1]+$yc)." ".$xc.",".$yc.'"/>'."\n" ;
      } else {
        echo '<polygon id="k-'.$cid.'-'.$i.'" class="filwi" points="'.($xcord[$i]+$xc).",".($ycord[$i]+$yc)." ".($xcord[$i+1]+$xc).",".($ycord[$i+1]+$yc)." ".$xc.",".$yc.'"/>'."\n" ;
      }
      $col++;
    }
    echo '<circle id="k-c-'.$cid.'" fill="#889999" cx="'.$xc.'" cy="'.$yc.'" r="20" stroke="none" />'."\n";
  }
  echo '<circle id="k-c-00" fill="#889999" cx="250" cy="210" r="25" stroke="none" />'."\n";
  ?>
 </g>
 <g id="Zahlen">
  <?php
  $nr=1;
  for ($cid=1;$cid<=3;$cid++) {
    $col=0;
    $xc=$xca[$cid];
    $yc=$yca[$cid];
    for ($i=0;$i<count($xcord);$i++)  {
      if ( $col%2==0 ) {
        echo '<text id="txt-'.$cid.'-'.$i.'" class="filbl fnt15" x="'.($xcord2[$i]+$xc-$fx).'" y="'.($ycord2[$i]+$yc).'">'.$arr[$cid][$i-1].'</text>'."\n";
      } else {
        echo '<text id="txt-'.$cid.'-'.$i.'" class="filwi fnt15" x="'.($xcord2[$i]+$xc-$fx).'" y="'.($ycord2[$i]+$yc).'">'.$arr[$cid][$i-1].'</text>'."\n";
      }
      $col++;
      $nr++;
    }
    echo '<text id="txt-'.$cid.'-'.$i.'" class="filbl fnt15" x="'.($xc-$fx).'" y="'.($yc+$fy).'">'.$arr[4][$cid].'</text>'."\n";
  }
  echo '<text id="txt-00" class="filbl fnt15" x="'.(250-$fx).'" y="'.(210+$fy).'">'.$arr[4][4].'</text>'."\n";
  echo '</g>'."\n";  
  echo '</svg>'."\n";  

}

function gen_dart($id) {
  global $mysqlconfundb;
echo '<?xml version="1.0" encoding="UTF-8"?>';
?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN" "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Creator: CorelDRAW X8 -->
<svg xmlns="http://www.w3.org/2000/svg" xml:space="preserve" width="500px" height="500px" version="1.1" style="shape-rendering:geometricPrecision; text-rendering:geometricPrecision; image-rendering:optimizeQuality; fill-rule:evenodd; clip-rule:evenodd"
viewBox="0 0 500 500"
 xmlns:xlink="http://www.w3.org/1999/xlink"
 xmlns:svg="http://www.w3.org/2000/svg">
 <defs>
  <font id="FontID0" horiz-adv-x="666" font-variant="normal" style="fill-rule:nonzero" font-style="normal" font-weight="400">
  <font-face
    font-family="Arial">
    <font-face-src>
      <font-face-name name="Arial"/>
    </font-face-src>
  </font-face>
   <missing-glyph><path d="M0 0z"/></missing-glyph>
  </font>
  <style type="text/css">
   <![CDATA[
    @font-face { font-family:"Arial";font-variant:normal;font-style:normal;font-weight:normal;src:url("#FontID0") format(svg)}
    .str0 {stroke:#D0EDFD;stroke-width:0.999216}
    .fil5 {fill:none}
    .fil0 {fill:black}
    .fil2 {fill:#00A000}
    .fil3 {fill:#E7E4C7}
    .fil1 {fill:red}
    .fil4 {fill:white}
    .fil5 {fill:blue}
    .fnt0 {font-weight:normal;font-size:25px;font-family:'Arial'}
    .fnt1 {font-weight:normal;font-size:15px;font-family:'Arial'}
    .fnt2 {font-weight:normal;font-size:10px;font-family:'Arial'}
   ]]>
  </style>
 </defs>
 <g id="Anzeige">
  <metadata id="CorelCorpID_0Corel-Layer"/>
  <g id="layer1">
   <g id="Board">
    <g id="BaseBoard">
     <path id="path1307" class="fil0" d="M500 250c0,138 -112,250 -250,250 -138,0 -250,-112 -250,-250 0,-138 112,-250 250,-250 138,0 250,112 250,250z"/>
    </g>
    <g id="Inside_x0020_Spider">
     <path id="DoubleRed" class="fil1 str0" d="M468 250c0,120 -98,218 -218,218 -120,0 -218,-98 -218,-218 0,-120 98,-218 218,-218 120,0 218,98 218,218l0 0z"/>
     <path id="path2195" class="fil0 str0" d="M456 250c0,114 -92,206 -206,206 -114,0 -206,-92 -206,-206 0,-114 92,-206 206,-206 114,0 206,92 206,206l0 0z"/>
     <path id="TrebleRed" class="fil1 str0" d="M387 250c0,76 -61,137 -137,137 -76,0 -137,-61 -137,-137 0,-76 61,-137 137,-137 76,0 137,61 137,137l0 0z"/>
     <path id="path2197" class="fil0 str0" d="M376 250c0,69 -57,126 -126,126 -69,0 -126,-57 -126,-126 0,-69 57,-126 126,-126 69,0 126,57 126,126l0 0z"/>
     <g id="GreenDoubleSpiders">
      <path id="path4826" class="fil2 str0" d="M151 56c0,0 0,0 0,0 20,-11 42,-18 65,-21l34 215 -99 -194z"/>
      <path id="path4830" class="fil2 str0" d="M56 151c0,0 0,0 0,0 10,-20 24,-39 40,-55l154 154 -194 -99z"/>
      <path id="path4832" class="fil2 str0" d="M35 284c0,0 0,0 0,0 -4,-22 -4,-46 0,-68l215 34 -215 34z"/>
      <path id="path4834" class="fil2 str0" d="M96 404c0,0 0,0 0,0 -16,-16 -30,-35 -40,-55l194 -99 -154 154z"/>
      <path id="path4836" class="fil2 str0" d="M216 465c0,0 0,0 0,0 -23,-3 -45,-10 -65,-21l99 -194 -34 215z"/>
      <path id="path4838" class="fil2 str0" d="M349 444c0,0 0,0 0,0 -20,11 -42,18 -65,21l-34 -215 99 194z"/>
      <path id="path4840" class="fil2 str0" d="M444 349c0,0 0,0 0,0 -10,20 -24,39 -40,55l-154 -154 194 99z"/>
      <path id="path4842" class="fil2 str0" d="M465 216c0,0 0,0 0,0 4,22 4,46 0,68l-215 -34 215 -34z"/>
      <path id="path4844" class="fil2 str0" d="M404 96c0,0 0,0 0,0 16,16 30,35 40,55l-194 99 154 -154z"/>
      <path id="path4846" class="fil2 str0" d="M284 35c0,0 0,0 0,0 23,3 45,10 65,21l-99 194 34 -215z"/>
     </g>
     <g id="g4876">
      <path id="path4878" class="fil3 str0" d="M156 66c20,-10 40,-16 62,-20l32 204 -94 -184z"/>
      <path id="path4880" class="fil3 str0" d="M66 156c10,-19 23,-37 38,-52l146 146 -184 -94z"/>
      <path id="path4882" class="fil3 str0" d="M46 282c-3,-21 -3,-43 0,-64l204 32 -204 32z"/>
      <path id="path4884" class="fil3 str0" d="M104 396c-15,-15 -28,-33 -38,-52l184 -94 -146 146z"/>
      <path id="path4886" class="fil3 str0" d="M218 454c-22,-4 -42,-10 -62,-20l94 -184 -32 204z"/>
      <path id="path4888" class="fil3 str0" d="M344 434c-20,10 -40,16 -62,20l-32 -204 94 184z"/>
      <path id="path4890" class="fil3 str0" d="M434 344c-10,19 -23,37 -38,52l-146 -146 184 94z"/>
      <path id="path4892" class="fil3 str0" d="M454 218c3,21 3,43 0,64l-204 -32 204 -32z"/>
      <path id="path4894" class="fil3 str0" d="M396 104c15,15 28,33 38,52l-184 94 146 -146z"/>
      <path id="path4896" class="fil3 str0" d="M282 46c22,4 42,10 62,20l-94 184 32 -204z"/>
     </g>
     <g id="GreenTrebleSpiders">
      <path id="path4856" class="fil2 str0" d="M188 128c0,0 0,0 0,0 12,-7 26,-11 40,-14l22 136 -62 -122z"/>
      <path id="path4858" class="fil2 str0" d="M128 188c0,0 0,0 0,0 6,-13 15,-25 25,-35l97 97 -122 -62z"/>
      <path id="path4860" class="fil2 str0" d="M114 271c0,0 0,0 0,0 -2,-14 -2,-28 0,-42l136 21 -136 21z"/>
      <path id="path4862" class="fil2 str0" d="M153 347c0,0 0,0 0,0 -10,-10 -19,-22 -25,-35l122 -62 -97 97z"/>
      <path id="path4864" class="fil2 str0" d="M229 386c0,0 0,0 0,0 -15,-3 -29,-7 -41,-14l62 -122 -21 136z"/>
      <path id="path4866" class="fil2 str0" d="M312 372c0,0 0,0 0,0 -12,7 -26,11 -40,14l-22 -136 62 122z"/>
      <path id="path4868" class="fil2 str0" d="M372 312c0,0 0,0 0,0 -6,13 -15,25 -25,35l-97 -97 122 62z"/>
      <path id="path4870" class="fil2 str0" d="M386 228c0,0 0,0 0,0 2,15 2,29 0,43l-136 -21 136 -22z"/>
      <path id="path4872" class="fil2 str0" d="M347 153c0,0 0,0 0,0 10,10 19,22 25,35l-122 62 97 -97z"/>
      <path id="path4874" class="fil2 str0" d="M272 114c0,0 0,0 0,0 14,3 28,7 40,14l-62 122 22 -136z"/>
     </g>
     <g id="g5771">
      <path id="path5773" class="fil3 str0" d="M193 138c12,-6 24,-10 37,-12l20 124 -57 -112z"/>
      <path id="path5775" class="fil3 str0" d="M138 193c6,-12 14,-23 23,-32l89 89 -112 -57z"/>
      <path id="path5777" class="fil3 str0" d="M126 270c-2,-13 -2,-27 0,-40l124 20 -124 20z"/>
      <path id="path5779" class="fil3 str0" d="M161 339c-9,-9 -17,-20 -23,-32l112 -57 -89 89z"/>
      <path id="path5781" class="fil3 str0" d="M230 374c-13,-2 -25,-6 -37,-12l57 -112 -20 124z"/>
      <path id="path5783" class="fil3 str0" d="M307 362c-12,6 -24,10 -37,12l-20 -124 57 112z"/>
      <path id="path5785" class="fil3 str0" d="M362 307c-6,12 -14,23 -23,32l-89 -89 112 57z"/>
      <path id="path5787" class="fil3 str0" d="M374 230c2,13 2,27 0,40l-124 -20 124 -20z"/>
      <path id="path5789" class="fil3 str0" d="M339 161c9,9 17,20 23,32l-112 57 89 -89z"/>
      <path id="path5791" class="fil3 str0" d="M270 126c13,2 25,6 37,12l-57 112 20 -124z"/>
     </g>
     <path id="path5939" class="fil2 str0" d="M271 250c0,12 -9,21 -21,21 -12,0 -21,-9 -21,-21 0,-12 9,-21 21,-21 12,0 21,9 21,21l0 0z"/>
     <path id="path5944" class="fil1 str0" d="M259 250c0,5 -4,9 -9,9 -5,0 -9,-4 -9,-9 0,-5 4,-9 9,-9 5,0 9,4 9,9l0 0z"/>
    </g>
<?php if ( $id == 100 ) { ?>
    <g id="BoardNumbers">
     <text x="235" y="27" id="text6007" class="fil4 fnt0">20</text>
     <text x="316" y="40" id="text6895" class="fil4 fnt0">1</text>
     <text x="374" y="72" id="text6903" class="fil4 fnt0">18</text>
     <text x="430" y="123" id="text6911" class="fil4 fnt0">4</text>
     <text x="459" y="192" id="text6915" class="fil4 fnt0">13</text>
     <text x="473" y="263" id="text6966" class="fil4 fnt0">6</text>
     <text x="458" y="335" id="text6923" class="fil4 fnt0">10</text>
     <text x="424" y="400" id="text6927" class="fil4 fnt0">15</text>
     <text x="381" y="448" id="text6931" class="fil4 fnt0">2</text>
     <text x="303" y="483" id="text6975" class="fil4 fnt0">17</text>
     <text x="241" y="492" id="text6979" class="fil4 fnt0">3</text>
     <text x="163" y="482" id="text6983" class="fil4 fnt0">19</text>
     <text x="105" y="447" id="text6987" class="fil4 fnt0">7</text>
     <text x="47" y="398" id="text6991" class="fil4 fnt0">16</text>
     <text x="26" y="335" id="text6995" class="fil4 fnt0">8</text>
     <text x="6" y="258" id="text7011" class="fil4 fnt0">11</text>
     <text x="13" y="191" id="text7015" class="fil4 fnt0">14</text>
     <text x="57" y="125" id="text7019" class="fil4 fnt0">9</text>
     <text x="94" y="72" id="text7023" class="fil4 fnt0">12</text>
     <text x="171" y="39" id="text7027" class="fil4 fnt0">5</text>
    </g>
<?php } else { 
  $xca1=array(0,295,345,245,380,190,415,145,75,105,410,70,145,410,80,380,100,295,345,190,245);
  $yca1=array(0,85,390,425,150,90,253,390,310,145,305,253,115,200,200,355,355,415,110,415,80);
  $xca2=array(0,305,365,250,414,177,457,114,41,73,446,33,118,448,42,416,76,306,367,174,245);
  $yca2=array(0,50,430,465,123,50,250,420,314,125,317,250,85,188,191,380,380,457,80,453,42);
  $xca3=array(0,286,323,243,352,203,377,165,121,138,370,113,167,369,119,350,140,283,320,201,243);
  $yca3=array(0,128,362,385,177,129,253,357,296,178,294,254,149,213,216,333,331,380,144,377,123);
  $sqlstr="select pval,tval from transval where tID = $id order by pval";
  $result = mysqli_query($mysqlconfundb,$sqlstr);
  $i=1;
  while($row = mysqli_fetch_array($result)) { 
    $i=intdiv($row['pval'],100);
    $j=$row['pval']%100;
    $arr[$i][$j]=$row['tval']; 
  }
  echo '<g id="Numbers">'."\n";
  $nr=1;
  $i=1;
  for ($j=1;$j<=20;$j++) {
    print '<text x="'.$xca1[$nr].'" y="'.$yca1[$nr].'" id="txt-'.$i.'-'.$j.'" class="fil2 fnt1">'.$arr[$i][$j].'</text>'."\n";
    $nr++;
  }  
  $nr=1;
  $i=2;
  for ($j=1;$j<=20;$j++) {
    print '<text x="'.$xca2[$nr].'" y="'.$yca2[$nr].'" id="txt-'.$i.'-'.$j.'" class="fil0 fnt2">'.$arr[$i][$j].'</text>'."\n";
    $nr++;
  }  
  $nr=1;
  $i=3;
  for ($j=1;$j<=20;$j++) {
    print '<text x="'.$xca3[$nr].'" y="'.$yca3[$nr].'" id="txt-'.$i.'-'.$j.'" class="fil0 fnt2">'.$arr[$i][$j].'</text>'."\n";
    $nr++;
  }  
  print '<text x="245" y="239" id="txt-1-25" class="fil0 fnt2">'.$arr[1][25].'</text>'."\n";
  print '<text x="245" y="253" id="txt-2-25" class="fil0 fnt2">'.$arr[2][25].'</text>'."\n";
  echo '</g>'."\n";
  }
?>
   </g>
  </g>
 </g>
</svg>

<?php
}

function gen_meyton($id) {
  global $mysqlconfundb;
  $x=250;
  $y=250;
  $rad=250;
  $anz=10;
  $i=$anz-1;
  $nr=0;
  $arr=[];
  $farben=array("97bdff","4dffff","9a9cff","ff96ff", "ffffbe","ddde6a","ffe77a","a6ffff", "c2c200","d4c09d","d4cfd8","e4a600",
                "d1c4c6","0094dc","bfbf00","6d2222", "2b45ff","f3155d","2b27c8","2bcf31", "51cfff","e6cf57","2bcf51","ac3cff",
                "ff1e9a","3d87a7","811e1c","ffc61c", "ff861c","62ab1c","51ddd4","ff4c1c", "89f43c","ef4612","ef9d3c","d1afdf",
                "51785c","16f4dc","ef6e3c","94f43c", "","","","", "","","","");
  print_svg_header();
  $sqlstr="select tval from transval where tID = $id order by pval";
  $result = mysqli_query($mysqlconfundb,$sqlstr);
  $i=0;
  while($row = mysqli_fetch_array($result)) { $arr[$i]=$row['tval']; $i++; }

  echo '<g id="Farbe">';
  # 4 er Segmente
  for ( $i=10;$i>=1;$i=$i-1) {
    for ( $j=0;$j<=3;$j++ ) {
      #$col="#".dechex(($i*133)%50+200).dechex(($j*173)%40+160).dechex(($i*143)%50+180);
      $col="#".$farben[$nr];
      echo get_segment($x,$y,$rad-($rad/$anz)*($anz-$i),$j*90,90,$col);
      $nr++;
    }
  }
  # Innenzehn
  print '<circle cx="'.$x.'" cy="'.$y.'" r="'.($rad/$anz/3).'" fill="#eff43c" stroke="none" />'."\n";
?>   </g>
  <g id="Text">
  <path id="meyton-m"
       d="m 165,87 c 10.156174,-16.52094 16.401403,-33.04184 30.468595,-49.56278 6.92732,-4.84673 8.207935,-1.83933 10.328392,0 l 12.910373,22.26733 c 3.270674,-5.0484 6.541318,-8.82872 9.811987,-10.77454 3.10849,-1.4782 6.21548,-2.95025 8.77908,-2.15486 6.72655,3.69202 8.55805,7.34617 9.81195,9.33792 l 10.328359,20.11243 11.87761,-23.70398 c 5.24921,-6.99859 9.80869,-10.63913 13.94324,-12.21114 4.98176,0.0593 7.00987,3.4054 9.29553,6.46477 l 12.39404,25.85886 3.61489,12.2111 0.51641,21.54902 -2.58211,17.23931 -9.2955,43.81639 -9.81192,-17.95756 c -1.1149,-5.11928 1.19457,-11.42933 2.06569,-17.23923 l 8.77911,-42.37983 1.0328,-12.92939 c 0.0282,-5.0688 -1.48443,-7.99151 -3.09849,-10.77451 -2.68222,-0.33944 -4.51322,-1.86318 -9.81195,1.43654 l -11.3612,19.39415 -10.84473,20.11248 -8.779109,20.83071 -9.81195,33.7602 -12.394,-19.39411 13.42684,-39.50663 c 2.29038,-8.90292 1.99655,-15.64916 1.54925,-22.26735 -0.60226,-7.90339 -1.98967,-9.25385 -3.0985,-12.92945 -2.69082,-1.47253 -5.85019,-1.92105 -12.39404,5.02816 -4.65794,6.12739 -9.765299,18.50599 -14.976093,32.32353 l -13.943254,46.68963 -15.492533,-18.67585 17.04178,-43.81637 5.68058,-22.26737 c -0.972388,-4.23847 -3.111372,-5.2317 -5.16414,-6.46472 -1.656248,0.053 -3.016126,-0.4697 -10.089054,10.13171 l -16.764681,29.37488 z"
       style="clip-rule:evenodd;fill:#cf0d0d;fill-opacity:1;fill-rule:evenodd;stroke:none;stroke-width:0.15916008px;stroke-linecap:butt;stroke-linejoin:miter;stroke-opacity:1;image-rendering:optimizeQuality;shape-rendering:geometricPrecision;text-rendering:geometricPrecision" />
  <text transform="rotate(56,47,350)" id="textM" x="47" y="350" style="font-size:70px;font-family:sans-serif;font-weight:bold;fill:#008000;fill-opacity:1;stroke:none;">M</text>
  <text transform="rotate(34,108,425)" id="textE" x="108" y="425" style="font-size:70px;font-family:sans-serif;font-weight:bold;fill:#FF0000;fill-opacity:1;stroke:none;">E</text>
  <text transform="rotate(12,180,465)" id="textY" x="180" y="465" style="font-size:70px;font-family:sans-serif;font-weight:bold;fill:#FF00FF;fill-opacity:1;stroke:none;">Y</text>
  <text transform="rotate(-12,275,475)" id="textT" x="275" y="475" style="font-size:70px;font-family:sans-serif;font-weight:bold;fill:#0000FF;fill-opacity:1;stroke:none;">T</text>
  <text transform="rotate(-34,350,455)" id="textO" x="350" y="455" style="font-size:70px;font-family:sans-serif;font-weight:bold;fill:#333333;fill-opacity:1;stroke:none;">O</text>
  <text transform="rotate(-56,420,400)" id="textN" x="420" y="400" style="font-size:70px;font-family:sans-serif;font-weight:bold;fill:#C83737;fill-opacity:1;stroke:none;">N</text>
  </g>
  <g id="Values">
<?php
  $nr=1;
  for ( $i=10;$i>=1;$i=$i-1) {
    for ( $j=0;$j<=3;$j++ ) {
      #$col="#".dechex(($i*133)%50+200).dechex(($j*173)%40+160).dechex(($i*143)%50+180);
      $col="#".$farben[$nr];
      echo get_seg_text($x,$y,$rad-($rad/$anz)*($anz-$i)-15,$j*90,90,$col,$arr[$nr]);
      $nr++;
    }
  }
  $px=245;$py=254;$txt=$arr[50];
  echo "  <text id=\"txt-$px-$py\" x=\"$px\" y=\"$py\" style=\"font-size:10px;font-family:sans-serif;font-weight:bold;fill:#000000;fill-opacity:1;stroke:none;\">$txt</text>\n";
  $px=248;$py=100;$txt=$arr[51];
  echo "  <text id=\"txt-$px-$py\" x=\"$px\" y=\"$py\" style=\"font-size:10px;font-family:sans-serif;font-weight:bold;fill:#000000;fill-opacity:1;stroke:none;\">$txt</text>\n";
  $px=67;$py=370;$txt=$arr[52];
  echo "  <text id=\"txt-$px-$py\" x=\"$px\" y=\"$py\" style=\"font-size:10px;font-family:sans-serif;font-weight:bold;fill:#000000;fill-opacity:1;stroke:none;\">$txt</text>\n";
  $px=128;$py=415;$txt=$arr[53];
  echo "  <text id=\"txt-$px-$py\" x=\"$px\" y=\"$py\" style=\"font-size:10px;font-family:sans-serif;font-weight:bold;fill:#000000;fill-opacity:1;stroke:none;\">$txt</text>\n";
  $px=200;$py=448;$txt=$arr[54];
  echo "  <text id=\"txt-$px-$py\" x=\"$px\" y=\"$py\" style=\"font-size:10px;font-family:sans-serif;font-weight:bold;fill:#000000;fill-opacity:1;stroke:none;\">$txt</text>\n";
  $px=280;$py=431;$txt=$arr[55];
  echo "  <text id=\"txt-$px-$py\" x=\"$px\" y=\"$py\" style=\"font-size:10px;font-family:sans-serif;font-weight:bold;fill:#EEEEEE;fill-opacity:1;stroke:none;\">$txt</text>\n";
  $px=355;$py=444;$txt=$arr[56];
  echo "  <text id=\"txt-$px-$py\" x=\"$px\" y=\"$py\" style=\"font-size:10px;font-family:sans-serif;font-weight:bold;fill:#EEEEEE;fill-opacity:1;stroke:none;\">$txt</text>\n";
  $px=420;$py=370;$txt=$arr[57];
  echo "  <text id=\"txt-$px-$py\" x=\"$px\" y=\"$py\" style=\"font-size:10px;font-family:sans-serif;font-weight:bold;fill:#000000;fill-opacity:1;stroke:none;\">$txt</text>\n";
?>
  </g>
</svg>
<?php
}
